#
# spec file for package gnuhealth-client
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015-2017 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define majorver 3.2
Name:           gnuhealth-client

Version:        %{majorver}.5
Release:        2.1
Summary:        The client of the GNU Health Hospital system
License:        GPL-3.0
Group:          Productivity/Office/Management
Url:            http://health.gnu.org/
Source:         https://ftp.gnu.org/gnu/health/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/health/plugins/gnuhealth-camera-plugin-latest.tar.gz
Source2:        %{name}.desktop
Patch0:         gnuhealth_crypto.patch
BuildRequires:  fdupes
BuildRequires:  python-Babel
BuildRequires:  python-Sphinx
# List of additional build dependencies
BuildRequires:  python-devel
BuildRequires:  python-gtk
BuildRequires:  python-python-dateutil
BuildRequires:  python-rsvg
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
BuildRequires:  update-desktop-files
Requires:       librsvg
#for the plugins:
Requires:       opencv
Requires:       python-GooCalendar
Requires:       python-cdecimal
Requires:       python-chardet
Requires:       python-dateutil
Requires:       python-gnupg
Requires:       python-gtk
Requires:       python-opencv
Requires:       python-pytz
Requires:       python-rsvg
Requires:       python-setuptools
Requires:       python-simplejson
Requires:       python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#install Tryton or GNU Health Client
Conflicts:      tryton

%description
The client of the GNU Health Hospital application

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
cp %{S:2} .

pwd
cd %{name}/plugins/
tar --strip-components 1 -xzvf %{SOURCE1}

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# menu-entry
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
%suse_update_desktop_file %{name}

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{python_sitelib}/tryton/data/pixmaps/tryton/gnuhealth-icon.png %{buildroot}%{_datadir}/pixmaps/gnuhealth.png

%fdupes %{buildroot}%{_datadir}
%fdupes %{buildroot}%{_prefix}/lib

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%doc COPYRIGHT COPYING COPYRIGHT Changelog
%{_datadir}/pixmaps/*
%{python_sitelib}/*

%changelog
* Fri Jan  5 2018 axel.braun@gmx.de
- GNU Health client - initial version 3.2.5
